org.multiverse.api.exceptions

## Class PropagationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.PropagationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TxnMandatoryException, TxnNotAllowedException

    public class PropagationException
    extends TxnExecutionException

An `IllegalStateException` throw when there is a conflict with the `Txn` propagation. For more information `PropagationLevel`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PropagationException()` Creates a new PropagationException.
`PropagationException(java.lang.String message)` Creates a new PropagationException with the provided message.
`PropagationException(java.lang.String message, java.lang.Throwable cause)` Creates a new PropagationException with the provided message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropagationException

    public PropagationException()

Creates a new PropagationException.

#### PropagationException

    public PropagationException(java.lang.String message)

Creates a new PropagationException with the provided message.

Parameters:
  `message` - the message of the exception.

#### PropagationException

    public PropagationException(java.lang.String message,
                        java.lang.Throwable cause)

Creates a new PropagationException with the provided message and cause.

Parameters:
  `message` - the message of the exception
  `cause` - the cause of the exception.